import { ResourceProps } from "aws-cdk-lib";
import { Construct } from "constructs";
export interface CdkGSDashboardResourceProps extends ResourceProps {
    readonly resourceRegion: string;
    readonly resources: string[];
}
export interface CdkGoldenSignalDashboardProps extends ResourceProps {
    readonly dashboardName: string;
    readonly resourceType: string;
    readonly resourceDimensions: CdkGSDashboardResourceProps[];
    /**
     * If you want to create reasonable CloudWatch Alarms for the resources.
     * @default false
     */
    readonly createAlarms?: boolean;
    /**
     * If you want to see insights metrics for the resources on dashboard.
     * Currently only lambda insights metrices are supported.
     * @default true
     */
    readonly showInsightsMetrics?: boolean;
    /**
     * If you want to create dashboards with no live AWS resources
     * @default false
     */
    readonly createEmptyDashboard?: boolean;
}
export declare class GoldenSignalDashboard extends Construct {
    readonly goldenSignalDashboardArn: string;
    constructor(scope: Construct, id: string, props: CdkGoldenSignalDashboardProps);
}
