import { ResourceProps } from "aws-cdk-lib";
import { Construct } from "constructs";
import { CdkGSDashboardResourceProps } from "./index";
export interface CdkLambdaDashboardProps extends ResourceProps {
    readonly dashboardName: string;
    readonly functionNames: CdkGSDashboardResourceProps[];
    /**
     * If you want to see lambda insights metrics for the resources on dashboard.
     * @default true
     */
    readonly showInsightsMetrics?: boolean;
    /**
     * If you want to create reasonable CloudWatch Alarms for the resources.
     * @default false
     */
    readonly createAlarms?: boolean;
}
export declare class LambdaDashboard extends Construct {
    readonly dashboardArn: string;
    constructor(scope: Construct, id: string, props: CdkLambdaDashboardProps);
}
